#ifndef AGENT_H
#define AGENT_H
#include "Graph.h"
#include <iostream>
#include <cstdlib>
#include "Strategy.h"
using namespace std;

class Agent 
{

public:
	Agent();
	Agent(int avgAge,int dropS);
	void makeOwnDecision(int);
	bool isDead(pass_graph*);
	int getDecision();
	void setDecision(int);
	int getCapital();
	int getGroupIndex();
	int getAvgStratScore();
	int getBestStratScore();
	void setGroupIndex(int);
	void Agent::allocateGroup(int numGrps);
	int getAge();
	int tellResult(int result, int STI);					
	int aging();
	
	
	
	~Agent(); 

//protected:
private:	
	int age;
	int death;
	int drop;

	int groupIndex;
	int decision;	//´ý¸Ä
	int capital;
	
	int bestStratScore;
	int bestStratIndex;
	int avgStratScore;
	
	Strategy **stratPter;
};

#endif

